{
  This Compiler definination file was created to help describe different versions
  of the Borland Compilers.  The verXX is what Borland uses to describe each
  different version of the compiler.  With this in mind this file defines the following:

     BDx - where x is the version of delphi.  eg. BD5 would be defined for Delphi 5
     BCBx - where x is the version of C++ Builder
     DELPHI_COMPILER - is defined for all Delphi versions of the compiler
     BCB_COMPILER - is defined for all C++ Builder versions of the compiler
     Unknown_Version - is defined if no compiler version is correctly matched to a verXX
     Dx_OR_HIGHER - where x is a Delphi version number.  Eg.  D4_OR_HIGHER would be
                    defined for all versions of the compiler from D4 onwards.


  The following is a quick reference to the verXX and the matching Borland product:

     Ver80  - Delphi 1                           Ver93  - C++ Builder 1
     Ver90  - Delphi 2                           !!! There was no C++ Builder 2 !!!
     Ver100 - Delphi 3                           Ver110 - C++ Builder 3
     Ver120 - Delphi 4                           Ver125 - C++ Builder 4
     Ver130 - Delphi 5                           Ver135 - C++ Builder 5 **

     ** I haven't yet seen BCB 5 so I can't verify this number is correct.

  Starting with D2 all compilers define WIN32 for the Win32 platform.  I would expect
  that a new define will appear with the addvent of Kylix.  Something like "LINUX"?

  D1 was the only 16-bit version of Delphi released.  The was never a 16-Bit version of BCB.
}

{*$DEFINE rmDebug}

{$IFDEF WIN32}
  {$DEFINE D2_OR_HIGHER}
{$ENDIF}

{$IFNDEF VER80}
  {$IFNDEF VER90}
    {$IFNDEF VER93}
      {$IFNDEF VER100}
        {$IFNDEF VER110}
          {$IFNDEF VER120}
            {$IFNDEF VER125}
              {$IFNDEF VER130}
                {$DEFINE Unknown_Version}
              {$ELSE}
                {$DEFINE BD5}
                {$DEFINE D5_OR_HIGHER}
                {$DEFINE DELPHI_COMPILER}
              {$ENDIF}
              {$DEFINE BCB4_OR_HIGHER}
            {$ELSE}
              {$DEFINE BCB4}
              {$DEFINE BCB_COMPILER}
            {$ENDIF}
            {$DEFINE D4_OR_HIGHER}
          {$ELSE}
            {$DEFINE BD4}
            {$DEFINE DELPHI_COMPILER}
          {$ENDIF}
          {$DEFINE BCB3_OR_HIGHER}
        {$ELSE}
          {$DEFINE BCB3}
          {$DEFINE BCB_COMPILER}
        {$ENDIF}
        {$DEFINE D3_OR_HIGHER}
      {$ELSE}
        {$DEFINE BD3}
        {$DEFINE DELPHI_COMPILER}
      {$ENDIF}
      {$DEFINE BCB1_OR_HIGHER}
    {$ELSE}
      {$DEFINE BCB1}
      {$DEFINE BCB_COMPILER}
    {$ENDIF}
    {$DEFINE D2_OR_HIGHER}
  {$ELSE}
    {$DEFINE BD2}
    {$DEFINE DELPHI_COMPILER}
  {$ENDIF}
  {$DEFINE D1_OR_HIGHER}
{$ELSE}
  {$DEFINE BD1}
  {$DEFINE DELPHI_COMPILER}
{$ENDIF}

